{% extends "_layouts/base.html" %}

{% block css %}
{{block.super}}
<style>
/* Move down content because we have a fixed navbar that is 50px tall */
body {
  padding-top: 50px;
  padding-bottom: 20px;
  background-color: #fafafa;
}

.form-inline .form-group input {
    width: 300px;
}
</style>
{% endblock css %}

{% block page_title %}MovieX{% endblock %}
{% block page_class %}home-page{% endblock %}
{% block content %}

  {% if recommended %}
    {% include "base/render_movies_with_recommendations.html" %}
  {% else %}
    {% include "base/render_movies.html" %}
  {% endif %}

  {% if movies %}
  <div class="container">
    <div class="row">
      <div class="col-md-16 text-center">
        <ul class="pager">
          <li class="{% if not movies.has_previous %}disabled{% endif %}">
            {% if movies.has_previous %}
              <a href="?page={{ movies.previous_page_number }}">Previous</a>
            {% else %}
              Previous
            {% endif %}
          </li>

          <li class="{% if not movies.has_next %}disabled{% endif %}">
            {% if movies.has_next %}
              <a href="?page={{ movies.next_page_number }}">Next</a>
            {% else %}
              Next
            {% endif %}
          </li>
        </ul>
      </div>
    </div>
  </div>
  {% endif %}

{% endblock %}
